For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • POSTImport phone number
      • GETList phone numbers
      • GETGet phone number
      • PATCHUpdate phone number
      • DELDelete phone number
      • GETGet SIP messages for a phone number
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsPhone Numbers

Get phone number

GET
/v1/convai/phone-numbers/:phone_number_id
GET
/v1/convai/phone-numbers/:phone_number_id
$curl https://api.elevenlabs.io/v1/convai/phone-numbers/phone_number_id
1{
2 "provider": "twilio",
3 "label": "Customer Support",
4 "phone_number": "+1234567890",
5 "phone_number_id": "phone_123"
6}
Retrieve Phone Number details by ID
Was this page helpful?
Previous

Update phone number

Next
Built with

Path parameters

phone_number_idstringRequired
The phone number ID. This is returned when a phone number is imported.

Headers

xi-api-keystringOptional

Response

Successful Response
twilioobject
OR
exotelobject
OR
sip_trunkobject

Errors

422
Unprocessable Entity Error